#!/bin/bash
# 
# install script for icalBuddy
# (c) 2008-2009 Ali Rantakari
# 

MANDIR=/usr/local/share/man/man1
BINDIR=/usr/local/bin

if [ "`whoami`" != "root" ];then
	echo
	echo "     You must be root to install."
	echo "     Try \"sudo $0\""
	echo
else
	if [ ! -e icalBuddy ];then
		echo "Error: can not find icalBuddy. Make sure you're running this script from within the distribution directory (the same directory where this file resides.) If you already are, run 'make' to build icalBuddy and then try running this script again."
		exit 1
	fi
	if [ ! -e icalBuddy.1 ];then
		echo "Error: can not find icalBuddy.1 (the man file.) Make sure you're running this script from within the distribution directory (the same directory where this file resides.)"
		exit 1
	fi
	echo
	echo "Installing icalBuddy."
	echo
	
	echo -n "Creating directories..."
	mkdir -p ${BINDIR}
	mkdir -p ${MANDIR}
	echo "done."
	
	echo -n "Installing the binary executable..."
	cp -f icalBuddy ${BINDIR}
	echo "done."
	
	echo -n "Installing the man page..."
	cp -f icalBuddy.1 ${MANDIR}
	echo "done."
	
	echo
fi
